# dkim_flush_cache()

[back to index]

SYNOPSIS

    #include <dkim.h>

    int dkim_flush_cache(DKIM_LIB *lib);

Flush cached entries when caching is enabled in the library.

DESCRIPTION

Called When | `dkim_flush_cache()` can be called at any time.

ARGUMENTS

Argument | Description
--- | ---
lib | The DKIM library instance whose cache should be flushed, previously created by a call to `dkim_init()`.

RETURN VALUES

Value | Description
--- | ---
-1 | Caching is not active for this library instance.
>= 0 | Number of records flushed.

NOTES

- Caching is selected by setting the `DKIM_LIBFLAGS_CACHE` flag using the `dkim_options()` function.
- Caching requires a special compile-time option since it also adds a library dependency to applications.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.